Page 3 of 3

Posted: Tue Jun 29, 2004 1:40 pm
by solmax
something else: does this combo support textures? i tried rendering an object with a bumpmap assigned, but the bump-effect didn't show up. i used a png.


---edit---

strange - the console sais:

"Loading image file i:\000-worx\GRACE\GRODT\logo_intro\images\1_euro_front_bump_oest.png
Targa type not supportedCould not load image"

trying different type...

marin

Posted: Tue Jun 29, 2004 5:01 pm
by wavk
YafRay only takes tga and jpg files, and probably it thought the png was a tga, and could not read it, so it says it's of a wrong type. Try either tga or jpg.

Posted: Tue Jun 29, 2004 8:31 pm
by pinhead_66
i had to deinstall yafray and install the new one (some where in this thread)

using the cvs build in this thread is also got it working on a simple cube

rendering something more complicated gave errors

(i'll have to check whether the materials use pictures that yafray can read or not, may be the source of the crashing part)

Posted: Tue Jun 29, 2004 9:08 pm
by Luis
TimLucas wrote:I did everything in the first post, but blender still comes up with an error message that it can't find cygwin1.dll.
It is very strange because this YafRay version is not compiled with cygwin. Blender and YafRay binaries are compiled with msvc compiler. It seems you are mixing versions. Uninstall all YafRay stuff and then install new version again...
Are particles now supported in yafray?
No.
When I copy all the files in my yafray directory in the blender dir everything works just fine.
It's a weird thing, without sense, because new Blender+YafRay plugin system looks for YafRay's *installation* directory for loading yafrayplugin dll. If you have installed YafRay in \Program Files\YafRay Blender will search on that path for plugin.

I guess it works for you because you have copied cygwin1.dll from a old version of YafRay, making dissapear the error message.

Luis.

Posted: Tue Jun 29, 2004 11:27 pm
by kencanvey
Uninstalled then re installed YAFRAY, as suggested and it works, on simple scenes ok, but more complex and/or already made scenes are a no go :(

Ken

Posted: Wed Jun 30, 2004 12:27 am
by Luis
kencanvey wrote:Uninstalled then re installed YAFRAY, as suggested and it works, on simple scenes ok, but more complex and/or already made scenes are a no go :(

Ken
Could you send me a scene (as simple as possible) that make crash YafRay?

This version is for testing and fixing bugs, so if somebody has a problematic scene, it would be great that he send it to us (Jandro or me). It is not necessary to send whole scene, only with the minimum parts that make YafRay crashes.

Luis.

Posted: Wed Jun 30, 2004 1:01 am
by A2597
AHA!!! it only works with the latest CVS of yafray, NOT the one available on the site

Posted: Wed Jun 30, 2004 1:21 pm
by macouno
Nice.... I like the fact that we're getting some more sequencer plugins... though the glow plugin is rather useless. We need something like that but I think it ought to be something like a "texture plugin" assignable to a material not a scene.

Posted: Wed Jun 30, 2004 5:50 pm
by lucky3
macouno wrote: it ought to be something like a "texture plugin" assignable to a material not a scene.
Yes, I think those two different kinds of "glow" would be needed :
The scene plugin to glow all the render and a "material glow" to glow only affected objects.

Posted: Wed Jun 30, 2004 6:29 pm
by SamAdam
great job and thanks for the .zip.